Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 18 Nov 2018, 17:19
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Filesystem
pFind 6.3
Post new topic   Reply to topic View previous topic :: View next topic
Page 50 of 50 [738 Posts]   Goto page: Previous 1, 2, 3, ..., 48, 49, 50
Author Message
Argolance


Joined: 06 Jan 2008
Posts: 3458
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Mon 15 Oct 2018, 15:29    Post subject:  

Bonsoir,
musher0 wrote:
Which version of XenialPup-32 are you running?

Sorry, I should have given more details: xenialpup-7.5-uefi.iso, downloaded from official repository.
This happens running Puppy Precise too. I will test some other Puppies when I have the opportunity.

Cordialement

_________________

Back to top
View user's profile Send private message Visit poster's website 
musher0

Joined: 04 Jan 2009
Posts: 12981
Location: Gatineau (Qc), Canada

PostPosted: Mon 15 Oct 2018, 18:02    Post subject:  

Rebonjour, Argolance.

To check your find utility, please run in succession:
Code:
cd /usr/bin
ldd find
ldd find | grep not
find --version
You should get this:
Code:
[/usr/bin][/usr/bin]>ldd find
   linux-gate.so.1 =>  (0xb7730000)
   libselinux.so.1 => /lib/libselinux.so.1 (0xb76cb000)
   libm.so.6 => /lib/libm.so.6 (0xb7675000)
   libc.so.6 => /lib/libc.so.6 (0xb74bf000)
   libpcre.so.3 => /lib/libpcre.so.3 (0xb744a000)
   libdl.so.2 => /lib/libdl.so.2 (0xb7445000)
   /lib/ld-linux.so.2 (0x80011000)
   libpthread.so.0 => /lib/libpthread.so.0 (0xb7428000)

[/usr/bin]>ldd find | grep not

[/usr/bin]>find --version
find (GNU findutils) 4.7.0-git
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
(...)
As you can see, there are no libraries missing when I run
Code:
ldd find | grep not
and that is how it should be.

In any case, I am attaching my find utility, for checking only. (Just in
case, make a back-up of the faulty find utility you have now?)

You could spend hours playing detective to pinpoint how this "lib64"
situation happened.

However, the best and most time-saving solution, IMO, given what you have
reported above, would be for you to recompile and install the GNU find
utilities from source, on and for your XenialPup-7.5-uefi.

I feel that it is the only way by which you will be absolutely sure that your
find utility is truly adapted to your version of XenialPup.

Of course, once recompiled, please re-run pfind to validate.

IHTH. / J'espère que cela t'aide.
find.zip
Description  Find utility from musher0's xenialPup-7.0.6 (32-bit). To test or check (only),
unzip in /usr/bin and make executable.
zip

 Download 
Filename  find.zip 
Filesize  107.21 KB 
Downloaded  12 Time(s) 

_________________
musher0
~~~~~~~~~~
Je suis né pour aimer et non pas pour haïr. (Sophocle) /
I was born to love and not to hate. (Sophocles)
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3458
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Fri 19 Oct 2018, 05:40    Post subject:  

Bonjour,
Thank you for replying (sorry I didn't answer sooner!).
So, I replaced the 4.4.2 Puppy Precise find version with yours (4.7.0) but I get the same error message and cannot jump to the place where is any selected found item.
Here are the results of the commands you gave above:
Code:
root@puppypc28983 ~
# cd /usr/bin
root@puppypc28983 /usr/bin
# ldd find
   linux-gate.so.1 =>  (0xb77a7000)
   librt.so.1 => /lib/librt.so.1 (0xb779b000)
   libm.so.6 => /lib/libm.so.6 (0xb7758000)
   libc.so.6 => /lib/libc.so.6 (0xb75a3000)
   libpthread.so.0 => /lib/libpthread.so.0 (0xb7588000)
   /lib/ld-linux.so.2 (0xb77a8000)
root@puppypc28983 /usr/bin
# ldd find | grep not
root@puppypc28983 /usr/bin
# find --version
find (GNU findutils) 4.4.2
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Eric B. Decker, James Youngman, and Kevin Dalley.
Built using GNU gnulib version e5573b1bad88bfabcda181b9e0125fb0c52b7d3b
Features enabled: D_TYPE O_NOFOLLOW(enabled) LEAF_OPTIMISATION FTS() CBO(level=0)

Code:
# cd /usr/bin
root@puppypc28983 /usr/bin
# ldd find
   linux-gate.so.1 =>  (0xb7732000)
   libselinux.so.1 => /lib/libselinux.so.1 (0xb76d5000)
   libm.so.6 => /lib/libm.so.6 (0xb7692000)
   libc.so.6 => /lib/libc.so.6 (0xb74dd000)
   libdl.so.2 => /lib/libdl.so.2 (0xb74d8000)
   /lib/ld-linux.so.2 (0xb7733000)
root@puppypc28983 /usr/bin
# ldd find | grep not
root@puppypc28983 /usr/bin
# find --version
find (GNU findutils) 4.7.0-git
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Eric B. Decker, James Youngman, and Kevin Dalley.
Features enabled: D_TYPE O_NOFOLLOW(enabled) LEAF_OPTIMISATION FTS(FTS_CWDFD) CBO(level=2)

[EDIT]: I uninstalled the pFind 6.3 version while keeping your 4.7.0 find version. It seems working fine. No error message. So, maybe the problem is still coming from pFind.

Cordialement.

_________________

Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 50 of 50 [738 Posts]   Goto page: Previous 1, 2, 3, ..., 48, 49, 50
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Filesystem
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.3044s ][ Queries: 12 (0.1959s) ][ GZIP on ]